%define major 0
%define libbase %mklibname %{name}-base %{major}
%define libclient %mklibname %{name}-client %{major}
%define libserver %mklibname %{name}-server %{major}
%define mainver %(echo %{version} | sed -e "s/\\([0-9]*\\.[0-9]*\\).[0-9]*/\\1/")

Summary:	Extremely fast and flexible web server
Name:		cherokee
Version:	1.2.103
Release:	%mkrel 13
License:	GPLv2
Group:		System/Servers
Source0:	https://github.com/cherokee/webserver/archive/v%{version}.tar.gz
Source1:	cherokee.init
Source2:	cherokee.logrotate
Source3:	cherokee.service
# SOURCE4 from https://github.com/cherokee/CTK/archive/master.tar.gz
Source4:	CTK.tar.gz
Patch0:		cherokee-1.2.101-link.patch
Patch1:		cherokee-1.2.103_CVE-2014-4668.patch
URL:		http://www.cherokee-project.com/
BuildRequires:	ffmpeg-devel
BuildRequires:	php-devel
Buildrequires:	php-cgi
BuildRequires:	mysql-devel
BuildRequires:	openldap-devel
BuildRequires:	openssl-devel
BuildRequires:	GeoIP-devel
BuildRequires:	wget
Recommends:	rrdtool
Requires:	php-cgi
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Provides:	webserver

%description
Cherokee is an extremely flexible and fast web server. It's embedable,
extensible with plug-ins. It has handler-to-path, virtual servers, gzip
encoding, modular loggers, CGI support, and can run in a chroot
environment, among other features.

%files -f %{name}.lang
%{_initrddir}/%{name}
/lib/systemd/system/%{name}.service
%dir %{_sysconfdir}/cherokee
%config(noreplace) %{_sysconfdir}/cherokee/cherokee.conf
%{_sysconfdir}/cherokee/cherokee.conf.perf_sample
%config(noreplace) %{_sysconfdir}/pam.d/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/cherokee-admin-launcher
%{_bindir}/cherokee-macos-askpass
%{_bindir}/cherokee-panic
%{_bindir}/cherokee-tweak
%{_bindir}/CTK-run
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/*.so
%{_sbindir}/*
%{_datadir}/%{name}
%doc %{_datadir}/doc/%{name}
%{_mandir}/man1/cherokee-admin.*
%{_mandir}/man1/cherokee-admin-launcher.*
%{_mandir}/man1/cherokee-tweak.*
%{_mandir}/man1/cherokee-worker.*
%{_mandir}/man1/cherokee.*
%{_var}/www/images/cherokee-logo.png
%{_var}/www/images/default-bg.png
%{_var}/www/images/favicon.ico
%{_var}/www/images/powered_by_cherokee.png
%{_var}/www/index.html

#----------------------------------------------------------------------

%package -n	cget
Group:		System/Servers
Summary:	Web page downloader

%description -n	cget
CGet is a small downloader based in the Cherokee client library.

%files -n cget
%{_bindir}/cget
%{_mandir}/man1/cget.*

#----------------------------------------------------------------------

%package -n	%{libbase}
Group:		System/Servers
Summary:	Extremely fast and flexible web server - libraries

%description -n	%{libbase}
Cherokee is an extremely flexible and fast web server. It's embedable,
extensible with plug-ins. It has handler-to-path, virtual servers, gzip
encoding, modular loggers, CGI support, and can run in a chroot
environment, among other features.

This is the runtime library.

%files -n %{libbase}
%{_libdir}/libcherokee-base.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n	%{libclient}
Group:		System/Servers
Summary:	Extremely fast and flexible web server - libraries

%description -n	%{libclient}
Cherokee is an extremely flexible and fast web server. It's embedable,
extensible with plug-ins. It has handler-to-path, virtual servers, gzip
encoding, modular loggers, CGI support, and can run in a chroot
environment, among other features.

This is the client runtime library.

%files -n %{libclient}
%{_libdir}/libcherokee-client.so.%{major}{,.*}

#----------------------------------------------------------------------

%package -n	%{libserver}
Group:		System/Servers
Summary:	Extremely fast and flexible web server - libraries

%description -n	%{libserver}
Cherokee is an extremely flexible and fast web server. It's embedable,
extensible with plug-ins. It has handler-to-path, virtual servers, gzip
encoding, modular loggers, CGI support, and can run in a chroot
environment, among other features.

This is the server runtime library.

%files -n %{libserver}
%{_libdir}/libcherokee-server.so.%{major}{,.*}

#----------------------------------------------------------------------

%package	devel
Group:		System/Servers
Requires:	%{libbase} = %{version}
Requires:	%{libclient} = %{version}
Requires:	%{libserver} = %{version}
Summary:	Extremely fast and flexible web server - development files

%description	devel
Cherokee is an extremely flexible and fast web server. It's embedable,
extensible with plug-ins. It has handler-to-path, virtual servers, gzip
encoding, modular loggers, CGI support, and can run in a chroot
environment, among other features.

This package contains the server development files - headers, .so and .a files.

%files devel
%{_bindir}/%{name}-config
%{_libdir}/*.so
%{_includedir}/%{name}
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4
%{_mandir}/man1/%{name}-config.*

#----------------------------------------------------------------------
%prep
%setup -q -n webserver-%{version} -a4
%patch0 -p0
%patch1 -p1 -b .CVE-2014-4668
mv CTK-master/* admin/CTK

%build
%serverbuild
NO_CONFIGURE=yes ./autogen.sh
%configure2_5x --disable-static --enable-os-string="%{distribution} %{distro_release} for %{product_arch}"
%make

%install
%makeinstall_std

%find_lang %{name}

find %{buildroot} -name *.la -delete

%{__install} -D -m 0644 pam.d_cherokee %{buildroot}%{_sysconfdir}/pam.d/%{name}
%{__install} -D -m 0755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
%{__install} -D -m 0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
%{__install} -D -m 0644 %{SOURCE3} %{buildroot}/lib/systemd/system/%{name}.service

%{buildroot}%{_datadir}/%{name}/admin/upgrade_config.py %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf
rm -f %{buildroot}%{_sysconfdir}/%{name}/%{name}.conf.backup

%post
[[ -e %{_sysconfdir}/%{name}/%{name}.conf ]] && %{_datadir}/%{name}/admin/upgrade_config.py %{_sysconfdir}/%{name}/%{name}.conf


%changelog
* Tue May 02 2017 akien <akien> 1.2.103-13.mga6
+ Revision: 1098272
- Rebuild for ffmpeg 3.3

* Wed Mar 08 2017 akien <akien> 1.2.103-12.mga6
+ Revision: 1089843
- Rebuild for ffmpeg 3.2.4

* Wed Mar 02 2016 umeabot <umeabot> 1.2.103-11.mga6
+ Revision: 983335
- Rebuild for openssl

* Tue Feb 09 2016 umeabot <umeabot> 1.2.103-10.mga6
+ Revision: 952615
- Mageia 6 Mass Rebuild

* Thu Apr 30 2015 luigiwalser <luigiwalser> 1.2.103-9.mga5
+ Revision: 820920
- actually apply CVE-2014-4668 patch
- remove unused patch

* Thu Apr 23 2015 shlomif <shlomif> 1.2.103-7.mga5
+ Revision: 820572
- Fix MGA#15755 / CVE-2014-4668 .

* Fri Nov 14 2014 fwang <fwang> 1.2.103-6.mga5
+ Revision: 797021
- rebuild for new ffmpeg

* Wed Oct 15 2014 umeabot <umeabot> 1.2.103-5.mga5
+ Revision: 745905
- Second Mageia 5 Mass Rebuild

* Thu Sep 18 2014 umeabot <umeabot> 1.2.103-4.mga5
+ Revision: 693593
- Rebuild to fix library dependencies

* Tue Sep 16 2014 umeabot <umeabot> 1.2.103-3.mga5
+ Revision: 678371
- Mageia 5 Mass Rebuild

  + tv <tv>
    - s/uggests:/Recommends:/

* Sat Oct 19 2013 umeabot <umeabot> 1.2.103-2.mga4
+ Revision: 529987
- Mageia 4 Mass Rebuild

* Mon Jul 15 2013 fwang <fwang> 1.2.103-1.mga4
+ Revision: 454588
- add ctk source
- br wget
- fix non-exist dir
- use autogen
- new version 1.2.103

* Fri Jan 11 2013 umeabot <umeabot> 1.2.101-10.mga3
+ Revision: 347671
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.2.101-9.mga3
+ Revision: 323636
- rebuild for new pcre

* Mon Jun 04 2012 fwang <fwang> 1.2.101-8.mga3
+ Revision: 253897
- fix build with latest ffmpeg
- rebuild for new ffmpeg

* Sat Apr 28 2012 tmb <tmb> 1.2.101-7.mga2
+ Revision: 233621
- Require rpm-helper >= 0.24.8-1 for systemd support

* Fri Apr 27 2012 tmb <tmb> 1.2.101-6.mga2
+ Revision: 233523
- rebuild for versioned rpm-helper requires

* Mon Apr 23 2012 fwang <fwang> 1.2.101-5.mga2
+ Revision: 232830
- fix compat init file

* Mon Apr 23 2012 fwang <fwang> 1.2.101-4.mga2
+ Revision: 232802
- suggest rrdtool for graphical statistics

* Mon Apr 23 2012 fwang <fwang> 1.2.101-3.mga2
+ Revision: 232798
- fix wrong tag

* Mon Apr 23 2012 fwang <fwang> 1.2.101-2.mga2
+ Revision: 232794
- fix wrong tag
- add systemd unit

* Sun Dec 11 2011 fwang <fwang> 1.2.101-1.mga2
+ Revision: 180700
- fix linkage
- new version 1.2.101

* Mon Sep 12 2011 fwang <fwang> 1.2.99-1.mga2
+ Revision: 142574
- new version 1.2.99

* Fri Jun 24 2011 fwang <fwang> 1.2.98-1.mga2
+ Revision: 112950
- new version 1.2.98

* Fri Mar 25 2011 dmorgan <dmorgan> 1.0.19-2.mga1
+ Revision: 77245
- Rebuild against new mysql

* Tue Feb 01 2011 dmorgan <dmorgan> 1.0.19-1.mga1
+ Revision: 46098
- Remove mdv macros
- imported package cherokee

